Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 928049 - sci-libs/libsc-2.8.5-r3 fails to compile: sc_io.c:719:24: error: passing argument 2 of zng_compress2 from incompatible pointer type [-Wincompatible-pointer-types]
Summary: sci-libs/libsc-2.8.5-r3 fails to compile: sc_io.c:719:24: error: passing argu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthias Maier
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: c99-porting
  Show dependency tree
 
Reported: 2024-03-28 12:54 UTC by Agostino Sarubbo
Modified: 2024-07-04 18:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,63.97 KB, text/plain)
2024-03-28 12:54 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-03-28 12:54:39 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-libs/libsc-2.8.5-r3 fails to compile.
Discovered on: x86 (internal ref: tinderbox_x86)
System: GCC-14-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#GCC-14)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0003
Comment 1 Agostino Sarubbo gentoo-dev 2024-03-28 12:54:40 UTC
Created attachment 888915 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2024-03-28 12:54:42 UTC
Error(s) that match a know pattern in addition to what has been reported in the summary:


FAILED: CMakeFiles/sc.dir/src/sc_io.c.o 
/var/tmp/portage/sci-libs/libsc-2.8.5-r3/work/libsc-2.8.5/src/sc_io.c:719:24: error: passing argument 2 of ‘zng_compress2’ from incompatible pointer type [-Wincompatible-pointer-types]
Comment 3 Larry the Git Cow gentoo-dev 2024-07-04 18:10:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b482fa0fa81414be5041c0aab4b4135d45f60431

commit b482fa0fa81414be5041c0aab4b4135d45f60431
Author:     Matthias Maier <tamiko@gentoo.org>
AuthorDate: 2024-07-04 17:32:35 +0000
Commit:     Matthias Maier <tamiko@gentoo.org>
CommitDate: 2024-07-04 18:09:55 +0000

    sci-libs/libsc: add 2.8.6
    
     - switch to compiling against default zlib instead of zlib-ng
    
    Closes: https://bugs.gentoo.org/928049
    Signed-off-by: Matthias Maier <tamiko@gentoo.org>

 sci-libs/libsc/Manifest                            |  1 +
 .../libsc/files/libsc-2.8.6-fix_build_system.patch | 25 ++++++++
 .../libsc/files/libsc-2.8.6-fix_cmake_path.patch   | 40 +++++++++++++
 sci-libs/libsc/files/libsc-2.8.6-set_version.patch | 48 +++++++++++++++
 sci-libs/libsc/libsc-2.8.6.ebuild                  | 70 ++++++++++++++++++++++
 5 files changed, 184 insertions(+)